<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class CreateLineItemRequestRequest 
{
    /** @var string $category The category for the line item: cropprotection, seed, fertilizer, energy, feed*/
    public string $category;
    /** @var null|string $productId The UUID of the product being requested*/
    public ?string $productId = null;
    /** @var string $productName The name of the product being requested*/
    public string $productName;
    /** @var null|int $quantity The quantity of the product desired*/
    public ?int $quantity = null;
    /** @var string $comments */
    public string $comments;

    /**
     * @param  string  $category The category for the line item: cropprotection, seed, fertilizer, energy, feed
     * @param  null|string  $productId The UUID of the product being requested
     * @param  string  $productName The name of the product being requested
     * @param  null|int  $quantity The quantity of the product desired
     * @param  string  $comments 
     */
    public function __construct(string $category, ?string $productId, string $productName, ?int $quantity, string $comments)
    {
        $this->category = $category;
        $this->productId = $productId;
        $this->productName = $productName;
        $this->quantity = $quantity;
        $this->comments = $comments;
    }
    

}